跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Lists the security findings of a repository

GET
/repos/{owner}/{repo}/security/findings
curl --request GET \
--url 'https://gitea.example.com/api/v1/repos/example/example/security/findings?type=dependencies&state=open&sort_type=newest&severity=MODERATE&page=1' \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

type
string
Allowed values: dependencies secrets code_scanning

Type of finding to return, repeatable or comma separated, empty means every type

scanner
string

Name of the scanner that reported the finding, empty means every scanner of the type

state
string
default: open
Allowed values: open closed all

State of the finding

branch
string

Branch name to filter findings

sort_type
string
default: index
Allowed values: newest oldest severity file package rule index

Sort type of the finding

severity
string
Allowed values: MODERATE HIGH CRITICAL LOW ""

Severity of the finding

ecosystem
string

Ecosystem of the finding (e.g., “npm”, “pip”, “maven”)

package_name
string

Package name of the finding (e.g., “lodash”, “requests”)

rule_id
string

Advisory, rule or check that fired

file_path
string

Lockfile or source file of the finding

page
integer
default: 1 >= 1

Page number of results to return (1-based)

limit
integer

Number of items per page

FindingList

Media typeapplication/json
Array<object>
FindingInfo represents a security finding of any type: dependency, secret or code scanning.
object
branch_name

Branch the finding was found on

string
close_source

Source of the closure

string
closed_at
string format: date-time
code_scanning

FindingCodeScanningDetail is the code scanning specific part of a finding, one result of an imported SARIF report.

object
help_uri
string
level
string
partial_fingerprint
string
rule_name
string
comments

Timeline of the finding

Array<object>
FindingComment is one entry of a finding timeline.
object
closed_pull_issue_index

Index of the issue/pull that closed the finding

integer format: int64
commit_id

Commit id of the comment

string
created
string format: date-time
dismiss_reason

The reason for the dismissal

string
finding_id

Associated finding ID

integer format: int64
id

Comment ID

integer format: int64
poster

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_manual_merge
boolean
allow_merge_commits
boolean
allow_merge_update
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
autodetect_manual_merge
boolean
avatar_url
string format: uri
branch_count
integer format: int64
clone_url
string format: uri
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
default_target_branch
string
default_update_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string format: uri
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string format: uri
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_code
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string format: uri
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string format: uri
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_last_sync_at
string format: date-time
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository sha1 ObjectFormatSHA1 sha256 ObjectFormatSHA256

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string format: uri
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo

Whether the team can create repositories in the organization

boolean
description

The description of the team

string
id

The unique identifier of the team

integer format: int64
includes_all_repositories

Whether the team has access to all repositories in the organization

boolean
name

The name of the team

string
organization

Organization represents an organization

object
avatar_url

The URL of the organization’s avatar

string format: uri
description

The description of the organization

string
email

The email address of the organization

string
full_name

The full display name of the organization

string
id

The unique identifier of the organization

integer format: int64
location

The location of the organization

string
name

The name of the organization

string
repo_admin_change_team_access

Whether repository administrators can change team access

boolean
username

Username of the organization deprecated

string
visibility

The visibility level of the organization (public, limited, private) public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The website URL of the organization

string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
visibility

Team visibility within the organization. “private” teams are only listable by members and org owners; “limited” teams are listable by any organization member; “public” teams are listable by any signed-in user. public TeamVisibilityPublic limited TeamVisibilityLimited private TeamVisibilityPrivate

string
Allowed values: public limited private
size
integer format: int64
ssh_url
string format: uri
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string format: uri
watchers_count
integer format: int64
website
string
type

Type of comment open FindingCommentTypeOpen update FindingCommentTypeUpdate close FindingCommentTypeClose reopen FindingCommentTypeReopen dismissed FindingCommentTypeDismissed manually_reopen FindingCommentTypeManuallyReopen

string
Allowed values: open update close reopen dismissed manually_reopen
commit_id

Commit the finding was first seen at

string
created_at
string format: date-time
dependency

FindingDependencyDetail is the dependency specific part of a finding, on top of the columns every finding shares.

object
affected_versions

Affected version ranges of the advisory

Array<object>
object
key
additional properties
compare_as

How the package version is compared against the advisory ranges

string
ecosystem_tool_version

Version of the ecosystem tool that produced the lockfile, e.g. the npm version

string
fixed_version

Version that fixes the advisory, when the advisory states one

string
package_commit

Commit of the package, when the package is vendored from a VCS instead of a registry

string
vulnerability

Vulnerability represents a vulnerability in the OSV format

object
affected

A list of affected versions

Array<object>
Affected describes an affected package version, meaning one instance that contains the vulnerability.
object
database_specific
object
key
additional properties
ecosystem_specific
object
key
additional properties
package

Package represents a package

object
created_at
string format: date-time
creator

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
html_url

The HTML URL to view the package

string format: uri
id

The unique identifier of the package

integer format: int64
name

The name of the package

string
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_manual_merge
boolean
allow_merge_commits
boolean
allow_merge_update
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
autodetect_manual_merge
boolean
avatar_url
string format: uri
branch_count
integer format: int64
clone_url
string format: uri
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
default_target_branch
string
default_update_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string format: uri
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string format: uri
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_code
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string format: uri
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string format: uri
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_last_sync_at
string format: date-time
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository sha1 ObjectFormatSHA1 sha256 ObjectFormatSHA256

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string format: uri
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo

Whether the team can create repositories in the organization

boolean
description

The description of the team

string
id

The unique identifier of the team

integer format: int64
includes_all_repositories

Whether the team has access to all repositories in the organization

boolean
name

The name of the team

string
organization

Organization represents an organization

object
avatar_url

The URL of the organization’s avatar

string format: uri
description

The description of the organization

string
email

The email address of the organization

string
full_name

The full display name of the organization

string
id

The unique identifier of the organization

integer format: int64
location

The location of the organization

string
name

The name of the organization

string
repo_admin_change_team_access

Whether repository administrators can change team access

boolean
username

Username of the organization deprecated

string
visibility

The visibility level of the organization (public, limited, private) public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The website URL of the organization

string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
visibility

Team visibility within the organization. “private” teams are only listable by members and org owners; “limited” teams are listable by any organization member; “public” teams are listable by any signed-in user. public TeamVisibilityPublic limited TeamVisibilityLimited private TeamVisibilityPrivate

string
Allowed values: public limited private
size
integer format: int64
ssh_url
string format: uri
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string format: uri
watchers_count
integer format: int64
website
string
type

The type of the package (e.g., npm, maven, docker)

string
version

The version of the package

string
ranges
Array<object>
Range describes the affected range of given version for a specific package.
object
database_specific
object
key
additional properties
events
Array<object>
Event describes a single version that either:

Introduces a vulnerability: {“introduced”: string} Fixes a vulnerability: {“fixed”: string} Describes the last known affected version: {“last_affected”: string} Sets an upper limit on the range being described: {“limit”: string}

Event instances form part of a “timeline” of status changes for the affected package described by the Affected struct.

See: https://ossf.github.io/osv-schema/#affectedrangesevents-fields

object
fixed
string
introduced
string
last_affected
string
limit
string
repo
string
type
string
severity
Array<object>
Severity is used to describe the severity of a vulnerability for an affected package using one or more quantitative scoring methods.
object
score
string
type
string
versions
Array<string>
aliases

A list of aliases for the vulnerability

Array<string>
credits

A list of credits for the vulnerability

Array<object>
Credit gives credit for the discovery, confirmation, patch, or other events in the life cycle of a vulnerability.
object
contact
Array<string>
name
string
type
string
database_specific

DatabaseSpecific contains any additional information specific to a particular database

object
key
additional properties
details

A detailed description of the vulnerability

string
id

The ID of the vulnerability, e.g. “CVE-2021-1234” or “GHSA-abcd-efgh-ijkl”

string
modified
string format: date-time
published
string format: date-time
references

A list of references for more information

Array<object>
Reference represents a Git reference.
object
object
GitObject represents a Git object.
object
sha

The SHA hash of the Git object

string
type

The type of the Git object (e.g., commit, tag, tree, blob)

string
url

The URL to access this Git object

string format: uri
ref

The name of the Git reference (e.g., refs/heads/main)

string
url

The URL to access this Git reference

string format: uri
related

A list of related vulnerability IDs

Array<string>
schema_version

The source of the vulnerability, e.g. “nvd”, “ghsa”, “gitlab”, “gitea”

string
severity

A list of severity levels

Array<object>
Severity is used to describe the severity of a vulnerability for an affected package using one or more quantitative scoring methods.
object
score
string
type
string
summary

A brief summary of the vulnerability

string
withdrawn
string format: date-time
dismiss_reason

Reason for dismissal

string
ecosystem

Ecosystem of the package, set by dependency findings

string
file_path

Lockfile of a dependency finding, source file of a line based finding

string
id

Finding ID

integer format: int64
index

Index of the finding in the repository

integer format: int64
issue_index

Index of the issue or pull request that closed the finding

integer format: int64
last_seen_commit_id

Commit the finding was last seen at

string
package_name

Name of the package, set by dependency findings

string
package_version

Version of the package, set by dependency findings

string
published_at
string format: date-time
pusher

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_manual_merge
boolean
allow_merge_commits
boolean
allow_merge_update
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
autodetect_manual_merge
boolean
avatar_url
string format: uri
branch_count
integer format: int64
clone_url
string format: uri
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
default_target_branch
string
default_update_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string format: uri
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string format: uri
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_code
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string format: uri
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string format: uri
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_last_sync_at
string format: date-time
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository sha1 ObjectFormatSHA1 sha256 ObjectFormatSHA256

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string format: uri
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string format: uri
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string format: uri
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo

Whether the team can create repositories in the organization

boolean
description

The description of the team

string
id

The unique identifier of the team

integer format: int64
includes_all_repositories

Whether the team has access to all repositories in the organization

boolean
name

The name of the team

string
organization

Organization represents an organization

object
avatar_url

The URL of the organization’s avatar

string format: uri
description

The description of the organization

string
email

The email address of the organization

string
full_name

The full display name of the organization

string
id

The unique identifier of the organization

integer format: int64
location

The location of the organization

string
name

The name of the organization

string
repo_admin_change_team_access

Whether repository administrators can change team access

boolean
username

Username of the organization deprecated

string
visibility

The visibility level of the organization (public, limited, private) public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The website URL of the organization

string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
visibility

Team visibility within the organization. “private” teams are only listable by members and org owners; “limited” teams are listable by any organization member; “public” teams are listable by any signed-in user. public TeamVisibilityPublic limited TeamVisibilityLimited private TeamVisibilityPrivate

string
Allowed values: public limited private
size
integer format: int64
ssh_url
string format: uri
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string format: uri
watchers_count
integer format: int64
website
string
rule_id

The advisory, rule or check that fired

string
scanner

Name of the scanner that reported the finding, several scanners may share a type

string
secret

FindingSecretDetail is the secret scanning specific part of a finding. It never carries the secret itself: Match is masked and SecretHash is a digest.

object
entropy
number format: double
match
string
rule_name
string
secret_hash
string
secret_type
string
severity_level

Severity level of the finding

string
start_line

Line of a line based finding

integer format: int64
status

Finding status

type: string

string
Allowed values: open closed
title

Human summary of the finding

string
type

Type of the finding

type: string dependencies FindingTypeDependencies is reported by the dependency scanner secrets FindingTypeSecrets is reported by a secret scanner code_scanning FindingTypeCodeScanning is reported by a code scanning scanner

string
Allowed values: dependencies secrets code_scanning
updated_at
string format: date-time
Example
[
{
"comments": [
{
"poster": {
"visibility": "public"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"visibility": "public"
},
"repo_transfer": {
"doer": {
"visibility": "public"
},
"recipient": {
"visibility": "public"
},
"teams": [
{
"organization": {
"visibility": "public"
},
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
},
"visibility": "public"
}
]
}
},
"type": "open"
}
],
"dependency": {
"vulnerability": {
"affected": [
{
"package": {
"creator": {
"visibility": "public"
},
"owner": {
"visibility": "public"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"visibility": "public"
},
"repo_transfer": {
"doer": {
"visibility": "public"
},
"recipient": {
"visibility": "public"
},
"teams": [
{
"organization": {
"visibility": "public"
},
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
},
"visibility": "public"
}
]
}
}
}
}
]
}
},
"pusher": {
"visibility": "public"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"visibility": "public"
},
"repo_transfer": {
"doer": {
"visibility": "public"
},
"recipient": {
"visibility": "public"
},
"teams": [
{
"organization": {
"visibility": "public"
},
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
},
"visibility": "public"
}
]
}
},
"status": "open",
"type": "dependencies"
}
]

APIValidationError is error format response related to input validation

message
string
url
string